Bug 144807 - Total Notebook lock up
Total Notebook lock up
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 12:27 EST by jim
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 14:53:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
seems to be the applet (146.94 KB, text/plain)
2005-01-11 13:17 EST, jim
no flags Details
correct file (146.94 KB, image/jpeg)
2005-01-11 13:20 EST, jim
no flags Details

  None (edit)
Description jim 2005-01-11 12:27:05 EST
Description of problem:
total PC lock up 
starting the Network Manager service causes me to get booted off my
connection.  I then try to reconnect, I first open a terminal window
and type NetworkManagerinfo.  I then get the sonar deal in my top
panel.  I click it and get the following errors  See images at links I
provide.
http://home.rochester.rr.com/jameslwrnc/images/err.jpg
http://home.rochester.rr.com/jameslwrnc/images/err1.jpg
http://home.rochester.rr.com/jameslwrnc/images/err2.jpg

My Notebook then locks up imediatly and the lights start flashing see
err2.jpg
The only way for me to gain control again is if I unplug the power
cable and remove the battery. (I don't like doing this)
I then can reconnect to my AP via iwconfig essid XXXXXXXXXXXXx key
XXXXXXXXXX  
Version-Release number of selected component (if applicable):
NetworkManager-0.3.1-3
kernel-2.6.9-1.681_FC3

How reproducible:
Always 

Steps to Reproduce:
1.start NetworkManager Service 
2. start NetworkManagerInfo
3. click the networkmanagerInfo applet on the panel
  
Actual results:
Total systen Lock up

Expected results:

to work
Additional info:
Comment 1 Dan Williams 2005-01-11 12:33:14 EST
Looks like you might be hitting Bug 135432.  Its actually a kernel
panic happening on your console, but of course, by time the laptop has
paniced, you can't switch to the console.

Try this:

1) Start NetworkManager
2) Start NetworkManagerInfo
3) _very_ quickly, hit Ctl+Alt+F1 to switch to the console, and see if
the laptop panics.

If you can then take a picture of the panic, if it appears, that would
be great debugging information.

Thanks!
Comment 2 Dan Williams 2005-01-11 12:35:32 EST
Hmm, if no panic happens, it might be a lockup in the applet itself,
which is because when you pull down a menu, GTK does an X11 server
grab, and of course since the applet is locked, you can't do anything
to un-grab X.  If that's the case, you should be able to log in via
the console (after doing Ctl+Alt+F1) and manually kill the applet
(kill -9 `pidof NetworkManagerNotification`) and then hit Ctl+Alt+F7
to get back to X.

Let me know which one (panic or server grab) it appears to be.

Dan
Comment 3 jim 2005-01-11 12:51:51 EST
i did do the following
1. start NetworkManager
2. run NetworkManagerInfo  all was good but being knocked off my
connection after step 1

3. click the applet, choose my <hidden> network before is threw a
error,  i did the cntrl, alt F1  
and got this... 

http://home.rochester.rr.com/jameslwrnc/images/err3.jpg

and i couldn't do anything after that.
Comment 4 jim 2005-01-11 13:17:45 EST
Created attachment 109627 [details]
seems to be the applet
Comment 5 jim 2005-01-11 13:19:25 EST
Comment on attachment 109627 [details]
seems to be the applet  

opps  wrong type
Comment 6 jim 2005-01-11 13:20:09 EST
Created attachment 109628 [details]
correct file
Comment 7 jim 2005-01-13 14:12:14 EST
with the update to my kernel  Now running  kernel-2.6.10-1.737_FC3

NetworkManagerInfo doesn't crash.  
New problem tho,, won't associate with my AP  with WEP key  says it is
not availible.  
Comment 8 jim 2005-01-17 15:08:43 EST
ask asked in the fedora list   i turned on named service  and Voila,
NM begins to work as intended.  
Comment 9 Dan Williams 2005-01-29 17:55:43 EST
Does the latest version of NM in FC3-updates work better?  Its
cvs20050119.2.fc3 or something like that.  It uses nscd again instead
of bind (you can turn bind off) with slightly reduced functionality.
Comment 10 John Thacker 2007-01-13 14:53:57 EST
(This is a mass update to bugs which have been in NEEDINFO unmodified for over a
year and are for a currently unsupported version of Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.